-- 配置快捷键
vim.g.mapleader = ' '
local keymap = vim.keymap

-- 基础配置
keymap.set("n", "qq", ":q!<CR>", { desc = "exit" })
keymap.set("n", "<leader>w", ":w<CR>", { desc = "w" })
keymap.set("n", "<leader>wq", ":wqa!<CR>", { desc = "wqa!" })
-- 开始配置
keymap.set("n", "<leader>i", 'ggVG')

-- 窗口控制
keymap.set("n", "s", "", {})
keymap.set("n", "sv", ":vsp<CR>", { desc = "split window" })
keymap.set("n", "sh", ":sp<CR>", { desc = "split " })
keymap.set("n", "sc", "<C-w>c", { desc = "close windows" })
keymap.set("n", "so", "<C-w>o", { desc = " close other windows" })
-- 切换窗口
keymap.set("n", "<A-Right>", "<C-w>l", {})
keymap.set("n", "<A-Down>", "<C-w>j", {})
keymap.set("n", "<A-Up>", "<C-w>k", {})
keymap.set("n", "<A-Left>", "<C-w>h", {})
keymap.set("n", "<leader>ca", ":lua vim.lsp.buf.code_action<CR>", {})
keymap.set("n", "<leader>lsp", ":Mason<CR>", {})
keymap.set("n", "<leader>cr", ":lus vim.lsp.buf.format{async=true}<CR>", { desc = "Reformat code" })
keymap.set("n", "<leader>tt", ":TroubleToggle<CR>", { desc = "Trouble List" })
