-- 配置代码高亮，mac 苹果芯片，ensure_install 需要通过默认终端来启动安装，否则会一直报错
return {
  {
    "nvim-treesitter/nvim-treesitter",
    build = ":TSUpdate",
    config = function()
      local config = require("nvim-treesitter.configs")
      config.setup({
        ensure_installed = { "bash", "toml", "luap", "luadoc", "markdown", "tsx", "c", "lua", "vim", "vimdoc", "query", "javascript", "dart", "go", "html", "java", "json", "json5", "kotlin", "python", "rust", "scss", "sql", "typescript", "vue", "xml", "yaml" },
        highlight = { enable = true },
        indent = { enable = true }
      })
    end
  }
}
